/* clipbrd.h - header file for clipboard functions
   (C) A. Stochniol, 1991 - 1993
*/

#ifdef _NO_PROTO        /* prototypes for non-ANSI systems follow ...  */

extern Boolean CopyStringToClipboard(/* char *str, Time time */);
extern char * GetStringFromClipboard();
extern void DeletePrimarySelection(/* Widget text */);
extern void PasteItemFromClipboard(/* Widget text */);

#else  /* ! _NO_PROTO, ANSI prototypes follow */

extern Boolean CopyStringToClipboard(char *str, Time time);
extern char * GetStringFromClipboard();
extern void DeletePrimarySelection(Widget text);
extern void PasteItemFromClipboard(Widget text);

#endif  /* end of conditional _NO_PROTO prototypes  compilation */

